---
title: Howto Jitsi
category: Communication
...

* <https://github.com/jitsi/jitsi-meet/>

Jitsi Meet is an open-source (Apache) WebRTC JavaScript application that uses Jitsi Videobridge to provide high quality, secure and scalable video conferences.

## Installation

### Installation en Debian 10

* Ajouter le dépot de Jitsi dans apt ainsi que la clé gpg du dépôt :

~~~
# echo 'deb https://download.jitsi.org stable/' >> /etc/apt/sources.list.d/jitsi-stable.list
# wget -qO -  https://download.jitsi.org/jitsi-key.gpg.key | apt-key add -
~~~

* Recharger la liste des dépôts du système et intallation du paquet apt-transport-https

~~~
# apt update && apt install apt-transport-https
~~~

* Installer le paquet `jitsi-meet`

Lors de l'installation du paquet *jitsi-meet*, celui-ci vérifie si un serveur web, Apache ou Nginx est présent et configurera un vhost.
Si aucun serveur web n'est présent sur la machine, il servira les connexions via Jetty.

Si l'on veut que Jitsi fonctionne avec un serveur web, il faut donc s'assurer que Apache ou Nginx soit bien installer **avant** l'installation du paquet.

~~~
# apt install jitsi-meet
~~~

Le daemon *jitsi-videobridge* se contrôle avec une unité systemd :

~~~
# systemctl status jitsi-videobridge.service

● jitsi-videobridge.service - Jitsi Videobridge
   Loaded: loaded (/lib/systemd/system/jitsi-videobridge.service; enabled; vendor preset: enabled)
   Active: active (running) since Fri 2020-03-13 11:17:30 CET; 55s ago
 Main PID: 19798 (java)
    Tasks: 49 (limit: 65000)
   Memory: 165.1M
   CGroup: /system.slice/jitsi-videobridge.service
           └─19798 java -Xmx3072m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/tmp -Djava.library.path=/usr/share/jitsi-videobridge
~~~


### Générer un certificat SSL Let's Encrypt

Le paquet Jitsi incorpore un script qui permet de générer un certificat SSL Let's Encrypt, il faut exécuter le script suivant :

~~~
# /usr/share/jitsi-meet/scripts/install-letsencrypt-cert.sh
~~~

**Il faut bien vérifier que le nom de domaine configurer pour Jitsi pointe bien vers le serveur au niveau des DNS.**

## Ouvrir une conférence

Lancer un navigateur web et entrer le nom de domaine, ou l'adresse ip, que l'on a renseigné dans la configuration de Jitsi.

Par défaut Jitsi génère un certificat auto-signé, il faut accepter celui-ci.